.area _DATA
.area _CODE

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  Funciones de CPCtelera ;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
.include "cpctelera.inc"
.include "music.inc"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  Funciones Propias ;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
.globl man_game_init
.globl man_gameplay
.globl show_start_screen
.globl show_start_game
.globl show_ending
.globl man_game_reset
.globl showing_lore
.globl int_handler_set ;gestor de interrupciones
.globl cpct_setStackLocation_asm

.globl man_HUD_init
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;  Main  ;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 

_main::
   ld hl,#0x8000
   call cpct_setStackLocation_asm
   call int_handler_set

   call sys_music_init

   call show_start_screen
   ld a,#1
   ld (showing_lore),a
   call man_HUD_init

   empieza_next_level::
   call man_game_init                  ; Inicializa el juego
   call man_gameplay                   ; Da comienzo el bucle de juego
ret