.module Int_Manager
.include "music.inc"

.globl cpct_waitVSYNC_asm
.globl do_render
.globl cpct_akp_musicPlay_asm
.globl cpct_akp_stop_asm

int_counter:: .db 12

int_handler_set::
    call cpct_waitVSYNC_asm
    halt
    halt
    call cpct_waitVSYNC_asm

    ld hl, #0x38
    ld (hl), #0xC3
    inc hl
    ld (hl), #<int_handler1
    inc hl
    ld (hl), #>int_handler1
ret

int_handler1::
    .include "pieces/push_all.s"
    .include "pieces/int_handler_always.s"
    ;//////////////////////////////////////////
    call cpct_akp_musicPlay_asm

    ld hl, #do_render
    ld (hl), #1
    ;//////////////////////////////////////////
    .include "pieces/change/int_handler_change2.s"
    .include "pieces/pop_all.s"
    ei
reti

int_handler2:
    .include "pieces/push_all.s"
    .include "pieces/int_handler_always.s"
    ;//////////////////////////////////////////
    ld hl, #do_render
    ld (hl), #0
    ;//////////////////////////////////////////
    .include "pieces/change/int_handler_change3.s"
    .include "pieces/pop_all.s"
    ei
reti

int_handler3:
    .include "pieces/push_all.s"
    .include "pieces/int_handler_always.s"
    ;//////////////////////////////////////////
    ;//////////////////////////////////////////
    .include "pieces/change/int_handler_change4.s"
    .include "pieces/pop_all.s"
    ei
reti

int_handler4:
    .include "pieces/push_all.s"
    .include "pieces/int_handler_always.s"
    ;//////////////////////////////////////////
    ;//////////////////////////////////////////
    .include "pieces/change/int_handler_change5.s"
    .include "pieces/pop_all.s"
    ei
reti

int_handler5:
    .include "pieces/push_all.s"
    .include "pieces/int_handler_always.s"
    ;//////////////////////////////////////////
    ld hl, #do_render
    ld (hl), #5
    ;//////////////////////////////////////////
    .include "pieces/change/int_handler_change6.s"
    .include "pieces/pop_all.s"
    ei
reti

int_handler6:
    .include "pieces/push_all.s"
    .include "pieces/int_handler_always.s"
    ;//////////////////////////////////////////
    ld hl, #do_render
    ld (hl), #6
    ;//////////////////////////////////////////
    .include "pieces/change/int_handler_change1.s"
    .include "pieces/pop_all.s"
    ei
reti